﻿using System.Drawing;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메트로 색상 테이블
    /// </summary>
    public class MetroColorTable : ProfessionalColorTable
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 버튼 선택 하이라이트 - ButtonSelectedHighlight

        /// <summary>
        /// 버튼 선택 하이라이트
        /// </summary>
        public override Color ButtonSelectedHighlight
        {
            get
            {
                return ButtonSelectedGradientMiddle;
            }
        }

        #endregion
        #region 버튼 선택 하이라이트 테두리 - ButtonSelectedHighlightBorder

        /// <summary>
        /// 버튼 선택 하이라이트 테두리
        /// </summary>
        public override Color ButtonSelectedHighlightBorder
        {
            get
            {
                return ButtonSelectedBorder;
            }
        }

        #endregion
        #region 버튼 프레스 하이라이트 - ButtonPressedHighlight

        /// <summary>
        /// 버튼 프레스 하이라이트
        /// </summary>
        public override Color ButtonPressedHighlight
        {
            get
            {
                return ButtonPressedGradientMiddle;
            }
        }

        #endregion
        #region 버튼 프레스 하이라이트 테두리 - ButtonPressedHighlightBorder

        /// <summary>
        /// 버튼 프레스 하이라이트 테두리
        /// </summary>
        public override Color ButtonPressedHighlightBorder
        {
            get
            {
                return ButtonPressedBorder;
            }
        }

        #endregion
        #region 버튼 체크 하이라이트 - ButtonCheckedHighlight

        /// <summary>
        /// 버튼 체크 하이라이트
        /// </summary>
        public override Color ButtonCheckedHighlight
        {
            get
            {
                return ButtonCheckedGradientMiddle;
            }
        }

        #endregion
        #region 버튼 체크 하이라이트 테두리 - ButtonCheckedHighlightBorder

        /// <summary>
        /// 버튼 체크 하이라이트 테두리
        /// </summary>
        public override Color ButtonCheckedHighlightBorder
        {
            get
            {
                return ButtonSelectedBorder;
            }
        }

        #endregion
        #region 버튼 프레스 테두리 - ButtonPressedBorder

        /// <summary>
        /// 
        /// </summary>
        public override Color ButtonPressedBorder
        {
            get
            {
                return ButtonSelectedBorder;
            }
        }

        #endregion
        #region 버튼 선택 테두리 - ButtonSelectedBorder

        /// <summary>
        /// 버튼 선택 테두리
        /// </summary>
        public override Color ButtonSelectedBorder
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 버튼 체크 그라디언트 시작 - ButtonCheckedGradientBegin

        /// <summary>
        /// 버튼 체크 그라디언트 시작
        /// </summary>
        public override Color ButtonCheckedGradientBegin
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 버튼 체크 그라디언트 중간 - ButtonCheckedGradientMiddle

        /// <summary>
        /// 버튼 체크 그라디언트 중간
        /// </summary>
        public override Color ButtonCheckedGradientMiddle
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 버튼 체크 그라디언트 종료 - ButtonCheckedGradientEnd

        /// <summary>
        /// 버튼 체크 그라디언트 종료
        /// </summary>
        public override Color ButtonCheckedGradientEnd
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 버튼 선택 그라디언트 시작 - ButtonSelectedGradientBegin

        /// <summary>
        /// 버튼 선택 그라디언트 시작
        /// </summary>
        public override Color ButtonSelectedGradientBegin
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 버튼 선택 그라디언트 중간 - ButtonSelectedGradientMiddle

        /// <summary>
        /// 버튼 선택 그라디언트 중간
        /// </summary>
        public override Color ButtonSelectedGradientMiddle
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 버튼 선택 그라디언트 종료 - ButtonSelectedGradientEnd

        /// <summary>
        /// 버튼 선택 그라디언트 종료
        /// </summary>
        public override Color ButtonSelectedGradientEnd
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 버튼 프레스 그라디언트 시작 - ButtonPressedGradientBegin

        /// <summary>
        /// 버튼 프레스 그라디언트 시작
        /// </summary>
        public override Color ButtonPressedGradientBegin
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 버튼 프레스 그라디언트 중간 - ButtonPressedGradientMiddle

        /// <summary>
        /// 버튼 프레스 그라디언트 중간
        /// </summary>
        public override Color ButtonPressedGradientMiddle
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 버튼 프레스 그라디언트 종료 - ButtonPressedGradientEnd

        /// <summary>
        /// 버튼 프레스 그라디언트 종료
        /// </summary>
        public override Color ButtonPressedGradientEnd
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 체크 배경 - CheckBackground

        /// <summary>
        /// 체크 배경
        /// </summary>
        public override Color CheckBackground
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 체크 선택 배경 - CheckSelectedBackground

        /// <summary>
        /// 체크 선택 배경
        /// </summary>
        public override Color CheckSelectedBackground
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 체크 프레스 배경 - CheckPressedBackground

        /// <summary>
        /// 체크 프레스 배경
        /// </summary>
        public override Color CheckPressedBackground
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 그립 다크 - GripDark

        /// <summary>
        /// 그립 다크
        /// </summary>
        public override Color GripDark
        {
            get
            {
                return MetroUI.Style.ForeColor;
            }
        }

        #endregion
        #region 그립 라이트 - GripLight

        /// <summary>
        /// 그립 라이트
        /// </summary>
        public override Color GripLight
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 이미지 마진 그라디언트 시작 - ImageMarginGradientBegin

        /// <summary>
        /// 이미지 마진 그라디언트 시작
        /// </summary>
        public override Color ImageMarginGradientBegin
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 이미지 마진 그라디언트 중간 - ImageMarginGradientMiddle

        /// <summary>
        /// 이미지 마진 그라디언트 중간
        /// </summary>
        public override Color ImageMarginGradientMiddle
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 이미지 마진 그라디언트 종료 - ImageMarginGradientEnd

        /// <summary>
        /// 이미지 마진 그라디언트 종료
        /// </summary>
        public override Color ImageMarginGradientEnd
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 이미지 마진 REVEALED 그라디언트 시작 - ImageMarginRevealedGradientBegin

        /// <summary>
        /// 이미지 마진 REVEALED 그라디언트 시작
        /// </summary>
        public override Color ImageMarginRevealedGradientBegin
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 이미지 마진 REVEALED 그라디언트 중간 - ImageMarginRevealedGradientMiddle

        /// <summary>
        /// 이미지 마진 REVEALED 그라디언트 중간
        /// </summary>
        public override Color ImageMarginRevealedGradientMiddle
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 이미지 마진 REVEALED 그라디언트 종료 - ImageMarginRevealedGradientEnd

        /// <summary>
        /// 이미지 마진 REVEALED 그라디언트 종료
        /// </summary>
        public override Color ImageMarginRevealedGradientEnd
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 메뉴 스트립 그라디언트 시작 - MenuStripGradientBegin

        /// <summary>
        /// 메뉴 스트립 그라디언트 시작
        /// </summary>
        public override Color MenuStripGradientBegin
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 메뉴 스트립 그라디언트 종료 - MenuStripGradientEnd

        /// <summary>
        /// 메뉴 스트립 그라디언트 종료
        /// </summary>
        public override Color MenuStripGradientEnd
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 메뉴 항목 선택 - MenuItemSelected

        /// <summary>
        /// 메뉴 항목 선택
        /// </summary>
        public override Color MenuItemSelected
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 메뉴 항목 테두리 - MenuItemBorder

        /// <summary>
        /// 메뉴 항목 테두리
        /// </summary>
        public override Color MenuItemBorder
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 메뉴 테두리 - MenuBorder

        /// <summary>
        /// 메뉴 테두리
        /// </summary>
        public override Color MenuBorder
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 메뉴 항목 선택 그라디언트 시작 - MenuItemSelectedGradientBegin

        /// <summary>
        /// 메뉴 항목 선택 그라디언트 시작
        /// </summary>
        public override Color MenuItemSelectedGradientBegin
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 메뉴 항목 선택 그라디언트 종료 - MenuItemSelectedGradientBegin

        /// <summary>
        /// 메뉴 항목 선택 그라디언트 종료
        /// </summary>
        public override Color MenuItemSelectedGradientEnd
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 메뉴 항목 프레스 그라디언트 시작 - MenuItemPressedGradientBegin

        /// <summary>
        /// 메뉴 항목 프레스 그라디언트 시작
        /// </summary>
        public override Color MenuItemPressedGradientBegin
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 메뉴 항목 프레스 그라디언트 중간 - MenuItemPressedGradientMiddle

        /// <summary>
        /// 메뉴 항목 프레스 그라디언트 중간
        /// </summary>
        public override Color MenuItemPressedGradientMiddle
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 메뉴 항목 프레스 그라디언트 종료 - MenuItemPressedGradientEnd

        /// <summary>
        /// 메뉴 항목 프레스 그라디언트 종료
        /// </summary>
        public override Color MenuItemPressedGradientEnd
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 래프팅 컨테이너 그라디언트 시작 - RaftingContainerGradientBegin

        /// <summary>
        /// 래프팅 컨테이너 그라디언트 시작
        /// </summary>
        public override Color RaftingContainerGradientBegin
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 래프팅 컨테이너 그라디언트 종료 - RaftingContainerGradientEnd

        /// <summary>
        /// 래프팅 컨테이너 그라디언트 종료
        /// </summary>
        public override Color RaftingContainerGradientEnd
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 분리자 다크 - SeparatorDark

        /// <summary>
        /// 분리자 다크
        /// </summary>
        public override Color SeparatorDark
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 분리자 라이트 - SeparatorLight

        /// <summary>
        /// 분리자 라이트
        /// </summary>
        public override Color SeparatorLight
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 상태 스트립 그라디언트 시작 - StatusStripGradientBegin

        /// <summary>
        /// 상태 스트립 그라디언트 시작
        /// </summary>
        public override Color StatusStripGradientBegin
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 상태 스트립 그라디언트 종료 - StatusStripGradientEnd

        /// <summary>
        /// 상태 스트립 그라디언트 종료
        /// </summary>
        public override Color StatusStripGradientEnd
        {
            get
            {
                return MetroUI.Style.AccentColor;
            }
        }

        #endregion
        #region 툴 스트립 테두리 - ToolStripBorder

        /// <summary>
        /// 툴 스트립 테두리
        /// </summary>
        public override Color ToolStripBorder
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 툴 스트립 드롭 다운 배경 - ToolStripDropDownBackground

        /// <summary>
        /// 툴 스트립 드롭 다운 배경
        /// </summary>
        public override Color ToolStripDropDownBackground
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 툴 스트립 그라디언트 시작 - ToolStripGradientBegin

        /// <summary>
        /// 툴 스트립 그라디언트 시작
        /// </summary>
        public override Color ToolStripGradientBegin
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 툴 스트립 그라디언트 중간 - ToolStripGradientMiddle

        /// <summary>
        /// 툴 스트립 그라디언트 중간
        /// </summary>
        public override Color ToolStripGradientMiddle
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 툴 스트립 그라디언트 종료 - ToolStripGradientEnd

        /// <summary>
        /// 툴 스트립 그라디언트 종료
        /// </summary>
        public override Color ToolStripGradientEnd
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 툴 스트립 컨텐트 패널 그라디언트 시작 - ToolStripContentPanelGradientBegin

        /// <summary>
        /// 툴 스트립 컨텐트 패널 그라디언트 시작
        /// </summary>
        public override Color ToolStripContentPanelGradientBegin
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 툴 스트립 컨텐트 패널 그라디언트 종료 - ToolStripContentPanelGradientEnd

        /// <summary>
        /// 툴 스트립 컨텐트 패널 그라디언트 종료
        /// </summary>
        public override Color ToolStripContentPanelGradientEnd
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 툴 스트립 패널 그라디언트 시작 - ToolStripPanelGradientBegin

        /// <summary>
        /// 툴 스트립 패널 그라디언트 시작
        /// </summary>
        public override Color ToolStripPanelGradientBegin
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 툴 스트립 패널 그라디언트 종료 - ToolStripPanelGradientEnd

        /// <summary>
        /// 툴 스트립 패널 그라디언트 종료
        /// </summary>
        public override Color ToolStripPanelGradientEnd
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 오버플로우 버튼 그라디언트 시작 - OverflowButtonGradientBegin

        /// <summary>
        /// 오버플로우 버튼 그라디언트 시작
        /// </summary>
        public override Color OverflowButtonGradientBegin
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 오버플로우 버튼 그라디언트 중간 - OverflowButtonGradientMiddle

        /// <summary>
        /// 오버플로우 버튼 그라디언트 중간
        /// </summary>
        public override Color OverflowButtonGradientMiddle
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
        #region 오버플로우 버튼 그라디언트 종료 - OverflowButtonGradientEnd

        /// <summary>
        /// 오버플로우 버튼 그라디언트 종료
        /// </summary>
        public override Color OverflowButtonGradientEnd
        {
            get
            {
                return MetroUI.Style.BackColor;
            }
        }

        #endregion
    }
}