﻿using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메트로 메뉴 스트립
    /// </summary>
    public class MetroMenuStrip : MenuStrip
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MetroMenuStrip()

        /// <summary>
        /// 생성자
        /// </summary>
        public MetroMenuStrip() : base()
        {
            Renderer  = new MetroToolStripRenderer();
            Font      = MetroUI.Style.BaseFont;
            ForeColor = MetroUI.Style.ForeColor;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 항목 추가시 처리하기 - OnItemAdded(e)

        /// <summary>
        /// 항목 추가시 처리하기
        /// </summary>
        /// <param name="e">이벤트 인자</param>
        protected override void OnItemAdded(ToolStripItemEventArgs e)
        {
            base.OnItemAdded(e);

            e.Item.Font      = MetroUI.Style.BaseFont;
            e.Item.ForeColor = MetroUI.Style.ForeColor;
        }

        #endregion
    }
}