﻿using System.Diagnostics;

namespace TestProject
{
    /// <summary>
    /// 메트로 UI
    /// </summary>
    public static class MetroUI
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private
        
        #region Field

        /// <summary>
        /// 메트로 스타일
        /// </summary>
        private static MetroStyle _metroStyle;

        /// <summary>
        /// 디자인 모드 여부
        /// </summary>
        private static bool _idDesignMode;

        /// <summary>
        /// 초기화 여부
        /// </summary>
        private static bool _isInitialized;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 디자인 모드 여부 - IsDesignMode

        /// <summary>
        /// 디자인 모드 여부
        /// </summary>
        public static bool IsDesignMode
        {
            get
            {
                if(_isInitialized == false)
                {
                    Initialize();
                }
                
                return _idDesignMode;
            }
        }

        #endregion
        #region 스타일 - Style

        /// <summary>
        /// 스타일
        /// </summary>
        public static MetroStyle Style
        {
            get
            {
                if(_metroStyle == null)
                {
                    _metroStyle = new MetroStyle();
                }

                return _metroStyle;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 초기화 하기 - Initialize()

        /// <summary>
        /// 초기화 하기
        /// </summary>
        private static void Initialize()
        {
            _idDesignMode = (Process.GetCurrentProcess().ProcessName == "devenv");

            _isInitialized = true;
        }

        #endregion
    }
}
